<?php

session_start();

if(!array_key_exists('ExportSetting', $_SESSION)) 
  $_SESSION['ExportSetting'] = $_COOKIE['ExportSetting'];
  
setcookie('ExportSetting', $_SESSION['ExportSetting']);
include('includes/global.php');
include('includes/zip.lib.php');
include('export.php');    


function CheckBox($Name, $Checked = false)
{
  if($Checked) $Checked = ' checked="1"'; else $Checked = '';
  return('<input type="checkbox" value="1" name="'.$Name.'"'.$Checked.' />');
}

function RadioButton($Name, $Value, $Checked = false)
{
  if($Checked) $Checked = ' checked="1"'; else $Checked = '';
  return('<input type="radio" name="'.$Name.'" value="'.$Value.'"'.$Checked.' />');
}

function SelectOption($Name, $Text, $Selected = false)
{
  if($Selected) $Selected = ' selected="1"'; else $Selected = '';
  return('<option type="checkbox" value="'.$Name.'"'.$Selected.'/>'.$Text.'</option>');
}

if(array_key_exists('UserID', $_SESSION) and ($_SESSION['UserID'] != ''))
{
  $DbResult = $Database->SQLCommand('SELECT ExportSetting FROM user WHERE ID='.$_SESSION['UserID']);
  $DbRow = mysql_fetch_assoc($DbResult);
  $ExportSetting = unserialize($DbRow['ExportSetting']);

  //print_r($_POST);
} else 
{
  $ExportSetting = unserialize($_SESSION['ExportSetting']);
}

switch(@$_GET['action'])
{
  case 'result':
    $ExportSetting['Export'] = @$_POST['Export'];
	switch($ExportSetting['Export'])
	{
	  case 'Zip':
        if(function_exists('gzcompress')) 
        {
          $SaveFilename = 'tmp/SqlTranslate.zip';
          $SQLFilename = 'tmp/SqlTranslate.sql';        
          $BufferZip = Export($ExportSetting);
          $ZipFile = new zipfile();
          $ZipFile->addFile($BufferZip, $SQLFilename);
          $Buffer = $ZipFile->file();

          //  echo $Buffer.'<br><br><br>';
          $FileHandle = fopen($SaveFilename, 'w');
          $WriteResult = fwrite($FileHandle, $Buffer);
          fclose($FileHandle);
          //  header("Location: ".$save_filename);
        } else echo('Funkce pro tvorbu Zip souboru není podporována!');
        echo('<script type="text/javascript" language="JavaScript" charset="utf-8">'.
          'setTimeout("parent.location.href=\''.$SaveFilename.'\'", 1000)'.
          '</script>');
      
        echo('Pokud nezačalo stahování, soubor by mělo jít stáhnout pomocí tohoto odkazu:'. 
          '<a href="'.$SaveFilename.'">'.$SaveFilename.'</a><br />'.
          'Pokud se vám zdá, že filtr na export nefunguje, vymažte si vyrovnávací paměť prohlížeče a zkuste stáhnout soubor znovu.');
	    break;
	  case 'Display':
        echo('Vygenerovaný SQL kód: <br /><pre class="SQLCode">');
        echo(htmlspecialchars(Export($ExportSetting)));
        echo('</pre>');
  	    break;
	  case 'Server':
	    if(Licence(LICENCE_ADMIN)) 
		{
		  $Buffer = Export($ExportSetting);
          $Database->SelectDatabase($Config['Database']['DatabaseMangos']);    
          $BufferArray = explode("\n", $Buffer);
		  echo('Přenášení dat do serveru...<br />');
          foreach($BufferArray as $Line) 
          {
			$Database->SQLCommand($Line);
			echo('.');
		  }
          echo("<br />Hotovo<br />");
		} else echo('Nemáte oprávnění.');
	    break;
	}
    WriteLog('Generování SQL výstupu: Typ exportu: <b>'.$ExportSetting['Export'].'</b>, Diakritika: <b>'.$ExportSetting['Diacritics'].'</b>', 2);
    break;
  case 'output':
    if(array_key_exists('groups', $_POST)) $ExportSetting['groups'] = $_POST['groups'];
    $ExportSetting['Diacritics'] = array_key_exists('Diacritics', $_POST);
    $ExportSetting['language-cz'] = array_key_exists('language-cz', $_POST);
    $ExportSetting['language-sk'] = array_key_exists('language-sk', $_POST);
    $ExportSetting['language-other'] = array_key_exists('language-other', $_POST);
    echo('<strong>Krok 3. - Typ výstupu</strong><br /><br />');
    echo('<form action="?action=result" method="post">'.
	  '<table width="100%"><tr><td>'.
      '<fieldset><legend>Forma výstupu</legend>'.
	  RadioButton('Export', 'Zip', $ExportSetting['Export'] == 'Zip').'ZIP soubor<br />'.
	  //RadioButton('Export', 'Addon', $ExportSetting['Export'] == 'Addon').'WoW klient addon<br />'.
      RadioButton('Export', 'Display', $ExportSetting['Export'] == 'Display').'Přímo zobrazit<br />');
    if(Licence(LICENCE_ADMIN)) 
      echo(RadioButton('Export', 'Server', $ExportSetting['Export'] == 'Server').'Poslat přímo na server (pouze admin)<br />');
	  //echo('
    echo('</fieldset><br /></td><td>Zvolte způsob, jakým mají být získána výstupní SQL data. V případě přímého zobrazení může být do vašeho prohlížeče přenášeno vysoké množství data což může vést k jeho přetížení.</td></tr></table>');
	echo('<br /><input type="submit" value="Dokončit" />');
	echo('</form>');
	break;
  case 'parameters':
    $ExportSetting['users-order'] = $_POST['users-order'];
    $ExportSetting['users-selection'] = array();
    $UsersList = explode(',', $_POST['users-order']);
	foreach($UsersList as $Index => $Item)
	{
	  if(array_key_exists('user_'.$Item, $_POST)) $ExportSetting['users-selection'][] = $Item;
	}
	//if(array_key_exists('users', $_POST)) $ExportSetting['users'] = $_POST['users'];
    echo('<strong>Krok 2. - Volba parametrů</strong><br /><br />');
    echo('<form action="?action=output" method="post">');
	echo('<table width="100%"><tr><td>');
    echo('<fieldset><legend>Jazyk</legend>'.
      CheckBox('Diacritics', $ExportSetting['Diacritics'] == 1).'Včetně diakritiky<br /><br />');  
    //echo('<input type="checkbox" name="Use" checked="true">Přidat výchovýběr databáze.<br />');

    echo(CheckBox('language-cz', $ExportSetting['language-cz'] == 1).'Český překlad<br />'.
      CheckBox('language-sk', $ExportSetting['language-sk'] == 1).'Slovenský překlad<br />'.
      CheckBox('language-other', $ExportSetting['language-other'] == 1).'Jiné jazyky<br />');
    echo('</fieldset><br /></td><td>Vyberte jaké jazyky se mají uvažovat při exportu.</td></tr><tr><td><fieldset><legend>Skupiny textů</legend>');
    echo('<select name="groups[]" size="15" style="width: 400px;" multiple="1">');
    foreach($TranslationTree as $Group)
      if($Group['TablePrefix'] != '')
        echo(SelectOption($Group['Id'], $Group['Name'].' ('.$Group['TablePrefix'].')', in_array($Group['Id'], $ExportSetting['groups'])));

	echo('</select></fieldset><br /></td><td>Vyberte skupiny textů, z kterých bude sestaven export. Přidržením CTRL nebo SHIFT můžete provádět výběr více položek.</td></tr></table><input type="submit" value="Pokračovat" />');
	echo('</form>');
    break;
  default:
    echo('<strong>Krok 1. - Výběr překladatelů</strong><br /><br />');
	echo('<script type="text/javascript" src="style/jquery.js"></script>
<script type="text/javascript" src="style/jquery-ui.js"></script>
<script type="text/javascript">
$(document).ready(function()
{
	$("#users-table").sortable({ items: "tr", sort: SortComplete });	
	$("#users-order").val($("#users-table").sortable(\'toArray\'));
});

function SortComplete()
{
	$("#users-order").val($("#users-table").sortable(\'toArray\'));	
}
</script>');
    echo('<form action="?action=parameters" method="post">');
	echo('<table><tr><td>'.
	'<table class="BaseTable" id="users-table" width="100%"><tr><th>Jméno</th><th>Překladů</th><th></th></tr>');
    $Query = 'SELECT T.user, T.ID, T.TranslatedCount FROM (SELECT user, ID, (';
    foreach($TranslationTree as $Group)
      if($Group['TablePrefix'] != '')
        $Query .= '(SELECT COUNT(*) FROM '.$Group['TablePrefix'].' WHERE (user = user.ID) AND (Complete = 1) AND (Language <> 0)) + ';
    $Query .= ' 0) AS TranslatedCount FROM `user` ORDER BY user) AS T WHERE T.TranslatedCount > 0 ORDER BY T.TranslatedCount DESC';
    //echo($Query);
	$ID = $Database->SQLCommand($Query);
	
	// Rebuild user order list
	$Users = array();
	while($Line = mysql_fetch_array($ID)) $Users[$Line['ID']] = $Line;
	$UsersOrder = explode(',', $ExportSetting['users-order']);
	foreach($Users as $User)
	  if(!in_array($User['ID'], $UsersOrder)) $UsersOrder[] = $User['ID'];
	foreach($UsersOrder as $Index => $UserId)
	  if(!array_key_exists($UserId, $Users)) unset($UsersOrder[$Index]);
	$ExportSetting['users-order'] = implode(',', $UsersOrder);
	
	//print_r($UsersOrder);    
	// Show ordered user list
    foreach($UsersOrder as $UserId)
	  echo('<tr id="'.$UserId.'"><td>'.$Users[$UserId]['user'].'</td><td>'.$Users[$UserId]['TranslatedCount'].
	  '</td><td>'.CheckBox('user_'.$UserId, in_array($UserId, $ExportSetting['users-selection'])).'</td></tr>');
    echo('</table></td><td valign="top">Zvolte ze seznamu uživatele, od kterých chcete načítat překlady a upravte jejich pořadí, takže od uživatelů výše budou brány překlady přednostně.<br />'.
	  'Řádky v tabulce můžete přesouvat metodou uchop a táhni.'.
      '</td></tr></table>'.
	  '<div><input name="users-order" id="users-order" size="100" type="hidden" /><br />');
	echo('<input type="submit" value="Pokračovat" /></div>');
	echo('</form>');
    break;
}

/*
{
  echo('<div style="border: 1px dotted black;	padding: 0px 5px 5px 5px;">
  <big><b><i>Pro klinta:</i></b></big><br />
  <b><a href="download-addon.php">CZWoW</a></b> - <a href="download-addon.php">Stáhnout češtinu pro clienta</a><br />
   - Změny ve verzích můžete sledovat v: <a href="client_files/_czwow/CzWoW/CzWoW.html">ChangeLog</a><br />
   - Čeština pro clienta obsahuje:<br />
   - Přeložené texty z projektu wowpřeklad<br />
   - Zvukové hlášky z Warcraft III<br />
   - České fonty pro správné zobrazování diakrity ve hře<br />
   <br />
  <b><a href="http://wow.zdechov.net/download_soubory/ceske_fonty_do_wow.zip">Diakritika ve hře</a></b> (obsaženo v CZWoW)<br />
   - Pro správné zobrazování diakrity ve hře si stáhněte <a href="http://wow.zdechov.net/download_soubory/ceske_fonty_do_wow.zip">České fonty do hry</a><br />
   <br />
  <b><a href="http://www.wowresource.eu/index.php?showtopic=4260&amp;hl=hl%C3%A1%C5%A1ky" title="http://www.wowresource.eu/index.php?showtopic=4260&amp;hl=hl%C3%A1%C5%A1ky">Zvukové hlášky ve hře</a></b> (obsaženo v CZWoW)<br />
   - zvukové soubory převzaté z české verze Warcraftu III <a href="http://www.wowresource.eu/index.php?showtopic=4260&amp;hl=hl%C3%A1%C5%A1ky" title="http://www.wowresource.eu/index.php?showtopic=4260&amp;hl=hl%C3%A1%C5%A1ky">České hlášky z Warcraftu III</a>
</div> 
<br />
<div style="border: 1px dotted black;	padding: 0px 5px 5px 5px;">
  <big><b><i>Pro server:</i></b></big><br>
  <b>Export překladu:</b><br />
  <form action="download.php" method="POST">
    <table border="1" cellpadding="1" cellspacing="0">

  <b>Český překlad MaNGOS Minimanageru:</b><br />
  - Stránky projektu: <a href="http://sourceforge.net/projects/mmfpm/">http://sourceforge.net/projects/mmfpm/</a><br />
  - Překlad: <a href="http://wow.zdechov.net/minimanager/lang/csCZ.zip">Čeština do minimanageru</a><br />
  - Diskusní forum pro případné připomínky k překladu: <a href="http://wow.zdechov.net/forum/viewtopic.php?p=5533">Forum</a>

  </div>
  <br />');
}
*/

if(array_key_exists('UserID', $_SESSION) and ($_SESSION['UserID'] != ''))
  $Database->SQLCommand('UPDATE user SET ExportSetting = "'.addslashes(serialize($ExportSetting)).'" WHERE ID='.$_SESSION['UserID']);
  else $_SESSION['ExportSetting'] = serialize($ExportSetting);
        
//print_r($ExportSetting);

ShowFooter();      
?>
