<?php

if(!isset($_SESSION)) session_start();

// SQL injection hack protection
foreach($_POST as $Index => $Item)
{
  if(is_array($_POST[$Index])) 
    foreach($_POST[$Index] as $Index2 => $Item2) $_POST[$Index][$Index2] = addslashes($Item2);
  else $_POST[$Index] = addslashes($_POST[$Index]);
}
foreach($_GET as $Index => $Item) $_GET[$Index] = addslashes($_GET[$Index]);

include('config.php');
include('databaseconection.php');
include('global_function.php');

$Database = new Database($Config['Database']['Host'], $Config['Database']['User'], $Config['Database']['Password']); 
$Database->SQLCommand('SET NAMES '.$Config['Database']['Charset']);
$Database->SelectDatabase($Config['Database']['Database']);    

$TranslationTree = GetTranslationTree();

function ShowShoutbox()
{
  global $Database;
  
  echo('<strong>Shoutbox: </strong><a href="action.php?action=shoutbox">Vložit</a>
  <div class="box">
  <table>');
  $ID = $Database->SQLCommand("SELECT * FROM shoutbox ORDER BY ID DESC LIMIT 10");
  while($Line = mysql_fetch_assoc($ID))
    echo('<tr><td><strong>'.$Line['user'].'</strong>: '.$Line['text'].'</td></tr>');
  echo('</table></div>');
}

function ShowLoginBox()
{
  if(Licence(LICENCE_USER)) 
  {
     // echo 'Jste přihlášen jako: <b>'.$_SESSION['User'].'</b> <a href="index.php?Logout">Odhlásit</a>';
  } else 
  {
    echo('<strong>Přihlášení:</strong><br />
  <form action="index.php" method="post">
  <table>
    <tr>
      <td><input type="text" name="LoginUser" size="13" /></td>
    </tr>
    <tr>
      <td><input type="password" name="LoginPass" size="13" /></td>
    </tr>
    <tr>
      <th><input type="submit" value="Přihlásit" /></th>
    </tr>
  </table>
  </form>');
  }
}

function ShowMainMenu()
{ 
  global $TranslationTree;
  
  $Menu = array
  (
    'index.php' => array(LICENCE_ANONYMOUS, 'Hlavní stránka', 'Domů'),
	'http://wow.zdechov.net/forum/viewforum.php?f=22' => array(LICENCE_ANONYMOUS, 'Diskuze na téma překládání', 'Fórum projektu'),
	'banners.php' => array(LICENCE_ANONYMOUS, 'Weby odkazující na tento projekt bennerem', 'Odkazují na nás'),
	'javascript:void(0)' => array(LICENCE_ANONYMOUS, 'Slovník wow výrazů', 'Slovníček', 'javascript:window.open(\'dictionary.php\', \'Slovník\', \'width=400, height=412\'); return false;'),
	'statistic.php' => array(LICENCE_ANONYMOUS, 'Stav dokončení překládů', 'Stav dokončení'),
	'userlist.php' => array(LICENCE_ANONYMOUS, 'Seznam registrovaných uživatelů', 'Seznam uživatelů'),
	'download.php' => array(LICENCE_ANONYMOUS, 'Zde si můžete stáhnout přeložené texty', 'Stahování'),
	'registrace.php' => array(LICENCE_ANONYMOUS, 'Registrace uživatele pro překládání', 'Registrace'),
	'Options.php' => array(LICENCE_USER, 'Nastavení uživatele', 'Nastavení'),
    'index.php?Logout' => array(LICENCE_USER, 'Odhlášení ze systému', 'Odhlásit'),
  	'log.php' => array(LICENCE_MODERATOR, 'Log dění (Pouze moderátor)', 'Záznamy'),
	'fill_database.php' => array(LICENCE_ADMIN, 'Načtení překladů do database (pouze admin)', 'Import textů z MaNGOSu'), 
	//'client_files/generate_SQL.php' => array(LICENCE_ADMIN, 'Generování clientských souborů (pouze admin)', 'Generování C.S.'),
    'https://wow.zdechov.net/mysql/' => array(LICENCE_ADMIN, 'phpMyAdmin(pouze admin)', 'Správa databáze'),
  );
  //echo('Jste přihlášen jako: <strong>'.$_SESSION['User'].'</strong> 

	
  echo('<table class="page"><tr><td class="menu"><strong>Hlavní menu:</strong><br />');
  foreach($Menu as $MenuTarget => $MenuItem)
  {
	if(isset($MenuItem[3])) $OnClick = ' onclick="'.$MenuItem[3].'"'; else $OnClick = '';
	if(Licence($MenuItem[0])) echo('<a title="'.$MenuItem[1].'" href="'.$MenuTarget.'"'.$OnClick.'>'.$MenuItem[2].'</a><br />');
  }    
  echo('<br />');
  
  echo('<strong>Překladové skupiny:</strong><br />');
  foreach($TranslationTree as $Group)
  {
    echo('<div id="menuitem-group'.$Group['Id'].'" onmousemove="show(\'group'.$Group['Id'].'\')" onmouseout="hide(\'group'.$Group['Id'].'\')">
      <a href="TranslationList.php?group='.$Group['Id'].'&amp;action=filter">'.$Group['Name'].'</a></div>       
      <div id="group'.$Group['Id'].'" class="hidden-menu-item" onmousemove="show(\'group'.$Group['Id'].'\')" onmouseout="hide(\'group'.$Group['Id'].'\')">');
    echo('&nbsp;<a title="Zde můžete začít překládat" href="TranslationList.php?group='.$Group['Id'].'&amp;action=notran">Nepřeložené</a><br />
      &nbsp;<a title="Přeložené texty, můžete zde hlasovat, nebo opravovat překlady" href="TranslationList.php?group='.$Group['Id'].'&amp;action=Translate">Přeložené</a><br />');
    if(Licence(LICENCE_USER)) 
    {
      echo('&nbsp;<a title="Nedokončené překlady" href="TranslationList.php?group='.$Group['Id'].'&amp;action=mydevelop">Rozepsané</a><br />
        &nbsp;<a title="Všechny překlady, které jste přeložil" href="TranslationList.php?group='.$Group['Id'].'&amp;action=my">Vlastní</a><br />
        &nbsp;<a title="Překlad, které bych měl oznámkovat" href="TranslationList.php?group='.$Group['Id'].'&amp;action=notvote">Neznámkované</a><br />');
    }
    if(Licence(LICENCE_ADMIN))  
    {          
	  echo('&nbsp;<a title="Nezkontrolované překlady" href="TranslationList.php?group='.$Group['Id'].'&amp;action=nocheck">Nezkontrolované</a><br />');
      echo('&nbsp;<a title="Zkontrolované překlady" href="TranslationList.php?group='.$Group['Id'].'&amp;action=check">Zkontrolované</a><br />');
    }
    echo('&nbsp;<a title="Sestavit speciální filtr" href="TranslationList.php?group='.$Group['Id'].'&amp;action=filter">Filtr</a><br />');
    echo('</div>');
  }
}

function ShowOnlineUserList()
{
  global $Database, $Moderators;
  
  echo('Online uživatelé:<br />');
  $ID = $Database->SQLCommand("SELECT user, GM, ID FROM `user` WHERE LastLogin >= Now() - 300");
  while ($Line = mysql_fetch_assoc($ID))
  {
    if(Licence(LICENCE_MODERATOR)) $Name = '<a href="user.php?user='.$Line['ID'].'">'.$Line['user'].'</a>';
    else $Name = $Line['user'];
    if($Line['GM'] <> 0) $TextGM = ' ('.$Moderators[$Line['GM']].')';
    else $TextGM = '';
    echo('<strong>'.$Name.'</strong>'.$TextGM.'<br />');
  }
}

function ShowPage()
{
  global $Config, $Database;	
	
  echo('<?xml version="1.0" encoding="'.$Config['Web']['Charset'].'"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" /> 
<link rel="stylesheet" href="'.$Config['Web']['BaseURL'].'style/style.css" type="text/css" media="all" />
<script type="text/javascript" src="'.$Config['Web']['BaseURL'].'style/global.js"></script>
<link rel="SHORTCUT ICON" href="'.$Config['Web']['BaseURL'].'images/favicon.ico" />
<title>Projekt překládání textů WoW</title>
</head>
<body>');

if(!array_key_exists('UserID', $_SESSION)) $_SESSION['UserID'] = '';
// Přihlášení
if(array_key_exists('LoginUser', $_POST))
{
  $_SESSION['User'] = $_POST['LoginUser'];
  $_SESSION['Pass'] = $_POST['LoginPass'];

  $Line = mysql_fetch_array($Database->SQLCommand("SELECT * FROM user WHERE LOWER(user) = LOWER('".$_SESSION['User']."') AND pass = '".$_SESSION['Pass']."'"));
  if(!$Line)
  {
     echo('<script> alert("Jméno nebo heslo bylo zadáno špatně!"); </script>');
     $_SESSION['UserID'] = ''; 
     $_SESSION['User'] = '';
     $_SESSION['Pass'] = '';
  } else
  {
    $_SESSION['UserID'] = $Line['ID']; 
    $_SESSION['User'] = $Line['user'];
    WriteLog('Login: '.$_SESSION['User'], 3);
  }
}

//odhlášení
if(array_key_exists('Logout', $_GET))
{
  WriteLog('Odhlášení', 3);
  $_SESSION['User'] = '';
  $_SESSION['Pass'] = '';
  $_SESSION['UserID'] = '';
}

  //záznam o aktivitě
  if(Licence(0)) $Database->SQLCommand("UPDATE user SET LastIP = '".$_SERVER['REMOTE_ADDR']."', LastLogin = now() WHERE ID = ".$_SESSION['UserID']);

  ShowMainMenu();
      
  echo('<br />');    
  ShowLoginBox();
  echo('<br />');
  ShowOnlineUserList();
  echo('<br />');
  ShowShoutBox();
  echo('</td><td class="content">');
}

ShowPage();

function ShowFooter()
{
  global $Database;

  echo('</td>
    </tr>
    <tr>
    <td colspan="2" class="page-bottom">Autoři: maron (maron2@centrum.cz), chronos');
echo(' </td></tr>
  </table>
  </body>
</html>');
  $Database->Disconnect();
}

?>
